/*
 * Minecraft Dev for IntelliJ
 *
 * https://minecraftdev.org
 *
 * Copyright (c) 2016 Kyle Wood (DemonWav)
 *
 * MIT License
 */

package com.demonwav.mcdev.asset;

import org.jetbrains.annotations.NotNull;

import javax.swing.Icon;

@SuppressWarnings("unused")
public final class PlatformAssets extends Assets {

    @NotNull public static final Icon MINECRAFT_ICON = loadIcon("/assets/icons/platform/Minecraft.png");
    @NotNull public static final Icon MINECRAFT_ICON_2X = loadIcon("/assets/icons/platform/Minecraft@2x.png");

    @NotNull public static final Icon BUKKIT_ICON = loadIcon("/assets/icons/platform/Bukkit.png");
    @NotNull public static final Icon BUKKIT_ICON_2X = loadIcon("/assets/icons/platform/Bukkit@2x.png");
    @NotNull public static final Icon SPIGOT_ICON = loadIcon("/assets/icons/platform/Spigot.png");
    @NotNull public static final Icon SPIGOT_ICON_2X = loadIcon("/assets/icons/platform/Spigot@2x.png");
    @NotNull public static final Icon PAPER_ICON = loadIcon("/assets/icons/platform/Paper.png");
    @NotNull public static final Icon PAPER_ICON_2X = loadIcon("/assets/icons/platform/Paper@2x.png");

    @NotNull public static final Icon FORGE_ICON = loadIcon("/assets/icons/platform/Forge.png");
    @NotNull public static final Icon FORGE_ICON_2X = loadIcon("/assets/icons/platform/Forge@2x.png");

    @NotNull public static final Icon SPONGE_ICON = loadIcon("/assets/icons/platform/Sponge.png");
    @NotNull public static final Icon SPONGE_ICON_2X = loadIcon("/assets/icons/platform/Sponge@2x.png");
    @NotNull public static final Icon SPONGE_ICON_DARK = loadIcon("/assets/icons/platform/Sponge_dark.png");
    @NotNull public static final Icon SPONGE_ICON_2X_DARK = loadIcon("/assets/icons/platform/Sponge@2x_dark.png");

    @NotNull public static final Icon SPONGE_FORGE_ICON = loadIcon("/assets/icons/platform/SpongeForge.png");
    @NotNull public static final Icon SPONGE_FORGE_ICON_2X = loadIcon("/assets/icons/platform/SpongeForge@2x.png");
    @NotNull public static final Icon SPONGE_FORGE_ICON_DARK = loadIcon("/assets/icons/platform/SpongeForge_dark.png");
    @NotNull public static final Icon SPONGE_FORGE_ICON_2X_DARK = loadIcon("/assets/icons/platform/SpongeForge@2x_dark.png");

    @NotNull public static final Icon BUNGEECORD_ICON = loadIcon("/assets/icons/platform/BungeeCord.png");
    @NotNull public static final Icon BUNGEECORD_ICON_2X = loadIcon("/assets/icons/platform/BungeeCord@2x.png");

    @NotNull public static final Icon LITELOADER_ICON = loadIcon("/assets/icons/platform/LiteLoader.png");
    @NotNull public static final Icon LITELOADER_ICON_2X = loadIcon("/assets/icons/platform/LiteLoader@2x.png");

    @NotNull public static final Icon MIXIN_ICON = loadIcon("/assets/icons/platform/Mixins.png");
    @NotNull public static final Icon MIXIN_ICON_2X= loadIcon("/assets/icons/platform/Mixins@2x.png");
    @NotNull public static final Icon MIXIN_ICON_DARK = loadIcon("/assets/icons/platform/Mixins_dark.png");
    @NotNull public static final Icon MIXIN_ICON_2X_DARK = loadIcon("/assets/icons/platform/Mixins@2x_dark.png");

    @NotNull public static final Icon MCP_ICON = loadIcon("/assets/icons/platform/MCP.png");
    @NotNull public static final Icon MCP_ICON_2X = loadIcon("/assets/icons/platform/MCP@2x.png");
    @NotNull public static final Icon MCP_ICON_DARK = loadIcon("/assets/icons/platform/MCP_dark.png");
    @NotNull public static final Icon MCP_ICON_2X_DARK = loadIcon("/assets/icons/platform/MCP@2x_dark.png");

    private PlatformAssets() {}
}
